<ion-content [scrollEvents]="true" (ionScroll)="logScrolling($event)" (ionScrollEnd)="logScrollEnd()">
	<ion-card id="topShadowCard">

	</ion-card>
	<div class="row appHideShowContent">
		<div class="col-12" style="min-height: 85.61px;">
			<ion-card id="browseInput" [class.open]="v__searchOptions.length > 0">
				<ion-card-content class="p-0">
					<!-- <mat-form-field appearance="fill" hidden round style="margin: 5px !important;">
						<mat-label>Buscar producto</mat-label>
						<input type="text" matInput [matAutocomplete]="html__AcProductos"
							placeholder="Buscar id o descripcion" id="productoInput" #html__filtroProductos
							[formControl]="f__filterControl" />
						<mat-autocomplete autoActiveFirstOption #html__AcProductos="matAutocomplete"
							(optionSelected)="addToList()" [displayWith]="displayFn">
							<mat-option *ngFor="
                                    let l__option of v__filterAutocompleteOptions
                                        | async
                                " [value]="l__option" (optionSelected)="addToList()">
								<div class="matOptionCell">
									{{ l__option.id }}
								</div>
								<div class="matOptionCell">
									{{ l__option.descripcion }}
								</div>
							</mat-option>
						</mat-autocomplete>
						<mat-icon matSuffix>search</mat-icon>
					</mat-form-field> -->
					<ion-searchbar placeholder="Buscar producto" [animated]="true" (ionFocus)="showAllItems()"
						(ionBlur)="removeAllElemets()" (ionInput)="filterList($event)" [(ngModel)]="v__searchProduct">
					</ion-searchbar>
					<ion-list>
						<ion-item *ngFor="let l__option of v__searchOptions" (click)="selectOption($event)"
							[id]="l__option.id" lines="inset">
							<ion-label [id]="l__option.id">{{ l__option.id }} {{ l__option.descripcion }}</ion-label>
						</ion-item>
					</ion-list>
				</ion-card-content>
			</ion-card>
		</div>

		<div class="col-12">
			<ion-card class="p-0" id="cardListaProductos">
				<ion-card-header style="padding: 0;">
					<ion-item lines="none">
						<mat-icon slot="start" class="bigIcon">
							view_list
						</mat-icon>
						<ion-label>Lista de productos</ion-label>
					</ion-item>
				</ion-card-header>

				<ion-card-content>
					<ion-list>
						<ion-item-sliding #slidingItem *ngFor="let l__prod of v__listaProductosVender; index as p_index"
							[id]="p_index" class="hidden">
							<ion-item-options side="start">
								<ion-item-option (click)="presentPopover($event , l__prod, p_index, slidingItem)">Editar
								</ion-item-option>
							</ion-item-options>

							<ion-item lines="full">
								<ion-label color="primary" style="    min-width: 0 !important;
								flex: inherit;
								padding-right: 20px;">
									x {{ l__prod.cantidad }}
								</ion-label>
								<ion-label>
									{{
                                        l__prod.producto.descripcion
                                    }}</ion-label>
								<ion-note slot="end" color="success" style="    font-size: 18px;
                                padding: 10px 0;
                                font-weight: bold;">$
									{{
                                        l__prod.totalItem.toLocaleString(
                                            "de-DE"
                                        )
                                    }}</ion-note>
							</ion-item>

							<ion-item-options side="end">
								<ion-item-option color="danger" (click)="
                                        deleteProduct(l__prod, p_index, slidingItem)
                                    ">Borrar</ion-item-option>
							</ion-item-options>
						</ion-item-sliding>
					</ion-list>
				</ion-card-content>
			</ion-card>
		</div>

		<div class="col-12">
			<ion-card style="min-height: 80px;">
				<ion-card-header [hidden]="v__mostrarBusquedaCliente" class="absoluteCardHeader">
					<ion-item lines="none">
						<mat-icon slot="start" class="bigIcon">
							person
						</mat-icon>
						<ion-label style="margin-right: 40px;">{{ v__nombreCliente }}</ion-label>
						<!-- <ion-item-option class="cardHeaderButton" color="primary" slot="end" (click)="toggleCliente()">
							Clientes</ion-item-option> -->
						<ion-fab-button class="cardHeaderButton" color="primary" slot="end" (click)="toggleCliente()"
							style="position: absolute;
							right: 0;
							box-shadow: none !important;
							top: 0;
							bottom: 0;
							margin: auto;
							width: 48px;">
							<mat-icon>search</mat-icon>
						</ion-fab-button>
					</ion-item>
				</ion-card-header>
				<ion-card-header [hidden]="!v__mostrarBusquedaCliente" class="absoluteCardHeader"
					style="padding: 1px 16px 1px 4px;">
					<ion-item lines="none" style="--padding-start: 0; margin-top: 5px;">
						<mat-form-field appearance="fill" round style="margin-right: 44px !important;">
							<mat-label>Buscar cliente</mat-label>
							<input type="text" matInput [matAutocomplete]="html__AcClientes"
								placeholder="Buscar cliente" #html__filtroClientes [formControl]="f__clientesControl" />
							<mat-autocomplete autoActiveFirstOption #html__AcClientes="matAutocomplete"
								(optionSelected)="seleccionarCliente()" [displayWith]="displayFnClientes">
								<mat-option *ngFor="
										let l__option of v__clientesAutocompleteOptions
											| async
									" [value]="l__option">
									<div class="matOptionCell">
										{{ l__option.identificacion }}
									</div>
									<div class="matOptionCell">
										{{ l__option.nombres }}
										{{ l__option.apellidos }}
									</div>
								</mat-option>
							</mat-autocomplete>
							<mat-icon matSuffix>search</mat-icon>
						</mat-form-field>

						<!-- <ion-item-option slot="end" matSuffix class="cardHeaderButton" color="danger" slot="end"
							style="margin: 0;" (click)="toggleCliente()">Cancelar</ion-item-option> -->

						<ion-fab-button class="cardHeaderButton" color="danger" slot="end" (click)="toggleCliente()"
							style="position: absolute;
							right: 0;
							box-shadow: none !important;
							top: 0;
							bottom: 0;
							margin: auto;
							width: 48px;">
							<mat-icon>close</mat-icon>
						</ion-fab-button>
					</ion-item>
				</ion-card-header>
			</ion-card>
		</div>

		<div class="col-12">
			<ion-card style="border: solid transparent 10px;">
				<!-- <ion-card-header style="padding: 0px 10px 5px;">
					<ion-card-subtitle>Metodo de pago</ion-card-subtitle>
				</ion-card-header> -->
				<ion-card-header style="padding: 0;">
					<ion-item lines="none">
						<mat-icon slot="start" class="bigIcon">
							credit_card
						</mat-icon>
						<ion-label>Metodo de pago</ion-label>
					</ion-item>
				</ion-card-header>
				<ion-card-content class="p-0">
					<div class="row">
						<div class="col-6">
							<mat-form-field appearance="fill" round>
								<mat-label>Efectivo</mat-label>
								<input [(ngModel)]="ng__Efectivo" (keyup)="metodosPago($event)" id="efectivo" matInput
									type="number" placeholder="Valor en efectivo" />
								<mat-icon matSuffix>money</mat-icon>
							</mat-form-field>
						</div>

						<div class="col-6">
							<mat-form-field appearance="fill" round>
								<mat-label>Transferencia</mat-label>
								<input [(ngModel)]="ng__Transferencia" (keyup)="metodosPago($event)" id="transferencia"
									matInput type="number" placeholder="Valor en transferencia" />
								<mat-icon matSuffix>account_balance</mat-icon>
							</mat-form-field>
						</div>
					</div>
				</ion-card-content>
			</ion-card>
		</div>

		<div class="col-12">
			<ion-card>
				<ion-card-header>
					<ion-item lines="none">
						<mat-icon slot="start" class="bigIcon" style="color: #03d846;margin-right: 10px;">
							monetization_on
						</mat-icon>
						<ion-card-title style="color: #03d846;font-weight: 500;font-size: 29px;">{{
                                v__totalVenta.toLocaleString("de-DE")
                            }}</ion-card-title>
					</ion-item>
				</ion-card-header>
			</ion-card>
		</div>

		<div class="col-12">
			<ion-button round expand="block" size="large" [disabled]="v__listaProductosVender.length == 0"
				(click)="registrarVenta()">Facturar</ion-button>
		</div>
	</div>

	<div class="row">
		<div class="col-12">

			<ion-button expand="block" color="danger" (click)="listPrinter()">
				List
			</ion-button>

			<ion-item >
				<ion-label>Seleccione su impresora</ion-label>
				<ion-select #printer_list [(ngModel)]="selectedPrinter">
					<ion-select-option *ngFor="let item of bluetoothList"
						[value]="item.id">
						{{item.name}} {{item.id}}
					</ion-select-option>
				</ion-select>
			</ion-item>
			<div>
				Selected Printer: {{selectedPrinter}}
			</div>
			<ion-button expand="block" color="danger" (click)="printStuff()">
				PRINT!
			</ion-button>

		</div>
	</div>


</ion-content>
<button id="changesales" (click)="logScrolling($event)"></button>